Error: "java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=com/primavera/pvweb/taglib/JSMessageTagLibraryValidator, offset=6" When Starting P6 EPPM 8.4 in WebSphere 8.5.5 (Doc ID 1986788.1)

Last updated on MARCH 30, 2017

Applies to:

Primavera P6 Enterprise Project Portfolio Management - Version 8.4.0.0 and later
Information in this document applies to any platform.

Symptoms

On :  8.4 version, P6 EPPM, Websphere 8.5.5.0, Java SDK 1.6.0

When attempting to start P6, the following error shows in the log file:

************* End Display Current Environment *************
[3/2/15 13:59:51:645 EST] 0000008d webapp E com.ibm.ws.webcontainer.webapp.WebApp initializeExtensionProcessors SRVE0280E: Extension processor failed to initialize in factory [com.ibm.ws.jsp.webcontainerext.ws.WASJSPExtensionFactory@22a72f2d]: java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=com/primavera/pvweb/taglib/JSMessageTagLibraryValidator, offset=6

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms